using System;
using System.Collections.Generic;
using System.Text;

namespace Generic3
{
  class Program
  {
    static void Main(string[] args)
    {
      Dictionary<string, double> list = new Dictionary<string, double>();

      list.Add("Monika", 2.5);
      list.Add("Alina", 1.1);
      list.Add("Bernd", 2.2);

      Console.WriteLine(list["Bernd"]);

      //Console.WriteLine(list["XXX"]);

      double dRes;

      if(list.TryGetValue("XXX", out dRes))
      {
        Console.WriteLine(dRes);
      }
      else
      {
        Console.WriteLine("Fehler!\n\n");
      }

      list.Remove("Alina");

      foreach (double d in list.Values)
      {
        Console.WriteLine(d);
      }

      if (list.ContainsKey("Alina"))
      {
        Console.WriteLine("'Alina' enthalten.");
      }

      if (list.ContainsValue(2.2))
      {
        Console.WriteLine("'2.2' enthalten.");
      }
    }
  }
}
