using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

namespace Serial1
{
  [Serializable]
  public class MyObject
  {
    public int n1 = 0;
    public int n2 = 0;
    public string str = null;
  }

  class Program
  {
    static void Main(string[] args)
    {
      Console.Write("(L)aden oder (S)peichern? ");
      string strIn = Console.ReadLine();
      strIn = strIn.ToUpper();

      switch (strIn)
      {
        case "S":
          {
            MyObject obj1 = new MyObject();
            obj1.n1 = 1;
            obj1.n2 = 24;
            obj1.str = "Hallo, liebe Webcast'ler!";

            IFormatter formatterOut = new BinaryFormatter();
            Stream streamOut = new FileStream("Test.bin", FileMode.Create, FileAccess.Write, FileShare.None);
            formatterOut.Serialize(streamOut, obj1);
            streamOut.Close();

            break;
          }

        case "L":
          {
            MyObject obj2 = null;

            try
            {
              IFormatter formatterIn = new BinaryFormatter();
              Stream streamIn = new FileStream("Test.bin", FileMode.Open, FileAccess.Read, FileShare.Read);
              obj2 = (MyObject)formatterIn.Deserialize(streamIn);
              streamIn.Close();
            }
            catch (Exception ex)
            {
              Console.WriteLine("Fehler beim Deserialisieren!");
              return;
            }

            Console.WriteLine("n1    : {0}", obj2.n1);
            Console.WriteLine("n2    : {0}", obj2.n2);
            Console.WriteLine("string: {0}", obj2.str);

            break;
          }

        default:
          {
            Console.WriteLine("Falsche Eingabe!");
            break;
          }
      }
    }
  }
}
